GameObject = Class {}

function GameObject:init(def)
    self.texture = def.texture
    self.x = def.x
    self.y = def.y
    self.width = def.width
    self.height = def.height
    self.frame = def.frame
    self.solid = def.solid
    self.collidable = def.collidable
    self.hit = def.hit
    self.color = def.color
    self.consumable = def.consumable
    self.onCollide = def.onCollide
    self.onConsume = def.onConsume
end

function GameObject:render()
    love.graphics.draw(gTextures[self.texture], gFrames[self.texture][self.frame], self.x, self.y)
end