
require 'src/dependencies'




function love.load()
    
    math.randomseed(os.time())

    map = Map()

    love.graphics.setDefaultFilter('nearest', 'nearest')

    push:setupScreen(VIRTUAL_WIDTH, VIRTUAL_HEIGHT, WINDOW_WIDTH, WINDOW_HEIGHT,{
        resizable = true,
        fullscreen = false,
        vsync = true                              
    })

    love.window.setTitle('AT')
    love.keyboard.keysPressed = {}
    love.keyboard.keysReleased = {}


end

function love.resize(w, h)
    push:resize(w, h)
end

function love.keyboard.wasPressed(key)
    if (love.keyboard.keysPressed[key]) then
        return true
    else
        return false
    end
end

function love.keyboard.wasReleased(key) 
    if (love.keyboard.keyreleased[key]) then
        return true
    else
        return false
    end
end


function love.keypressed(key)
    if key == 'escape' then
        love.event.quit()
    end
    love.keyboard.keysPressed[key] = true

end

function love.keyreleased(key)
    love.keyboard.keysReleased[key] = true
end

function love.update(dt)
    map:update(dt)


    love.keyboard.keysPressed = {}
    love.keyboard.keysReleased = {}



end



function love.draw()
    push:apply('start')
    love.graphics.translate(math.floor(-map.camX + 0.5), math.floor(-map.camY + 0.5)) 

    love.graphics.clear(0, 206, 209, 255)
    map:render()
    push:apply('end')



end